# Fetch an asset

Fetches the matching asset.

Endpoint: GET /assets/{asset_id}
Version: v4
Security: APIToken

## Path parameters:

  - `asset_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-443db"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

  - `Accept` (string, required)
    Enum: "application/json"

## Query parameters:

  - `fields` (string)
    Set it to a comma-separated list (no spaces) of any of the following
attributes of the asset to return as part of the asset's attributes in
the response.

Allowed values: 

- created_at
- updated_at
- cdn_url
- availability
- availability_start
- availability_end

WARNING: This parameter can slow response times.
    Example: "cdn_url"

  - `include` (string)
    Set it to a comma-separated list (no spaces) of any of the following
record names to return those records related to the asset you're
fetching. Related records are returned in an included array in the
response.

Allowed values: 

- attachments
- brandfolder
- collections
- custom_fields
- section
- tags

WARNING: This parameter can slow response times.
    Example: "tags"

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-443db"

  - `data.type` (string, required)
    The type of the resource.
    Enum: "generic_files"

  - `data.attributes` (object, required)

  - `data.attributes.name` (string)
    The name of the asset.
    Example: "Brandfolder Logo"

  - `data.attributes.description` (string)
    The description of the asset.
    Example: "Brandfolder's logo in print ready format"

  - `data.attributes.thumbnail_url` (string)
    The online location of the asset.
    Example: "https://example.com/example.jpg?Expires=1624742369"

  - `data.attributes.approved` (boolean)
    If true, this asset is approved; otherwise, it's not.
    Example: true


## Response 403 fields
